changeset 8964:b03ecf9d57c9

8024046, PR3162: Test sun/security/krb5/runNameEquals.sh failed on 7u45 Embedded linux-ppc* Reviewed-by: xuelei
author weijun
date Mon, 09 Sep 2013 11:08:20 +0800
parents 04922015b635
children 1e1f7f645ab9
files test/sun/security/krb5/runNameEquals.sh
diffstat 1 files changed, 10 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/test/sun/security/krb5/runNameEquals.sh	Thu Oct 27 02:44:35 2016 +0100
+++ b/test/sun/security/krb5/runNameEquals.sh	Mon Sep 09 11:08:20 2013 +0800
@@ -22,7 +22,7 @@
 #
 
 # @test
-# @bug 6317711 6944847
+# @bug 6317711 6944847 8024046
 # @summary Ensure the GSSName has the correct impl which respects
 # the contract for equals and hashCode across different configurations.
 
@@ -52,6 +52,15 @@
     PATHSEP=":"
     FILESEP="/"
     NATIVE=true
+    # Not all *nix has native GSS libs installed
+    krb5-config --libs gssapi 2> /dev/null
+    if [ $? != 0 ]; then
+        # Fedora has a different path
+        /usr/kerberos/bin/krb5-config --libs gssapi 2> /dev/null
+        if [ $? != 0 ]; then
+            NATIVE=false
+        fi
+    fi
     ;;
   Darwin )
     PATHSEP=":"